{%
  set classes = [
  "component-preview-cards",
  "box-pattern",
  variants.display.value,
  cern_node_type
  ]
%}

{% set attributes_bgcolor = create_attribute() %}
{% set attributes_bgcolor = attributes_bgcolor.addClass(classes) %}

{% if variants.bgcolor.color %}
  {% set attributes_bgcolor = attributes_bgcolor.addClass(classes).setAttribute('style', "background-color: " ~ variants.bgcolor.color ~ "") %}
{% endif %}

{% if listing_cds_background | render %}
  {% set cds_id = listing_cds_background | render | get_tag_attribute('figure', 'id') %}
  {% set background_url = listing_cds_background | get_img_src %}
{% else %}
  {% if listing_background | render %}
    {% set background_url = listing_background | render %}
  {% else %}
    {% if background | render %}
      {% if 'cds-image' in background|render|render %}
				{% set background_url = background | render | get_tag_attribute('img', 'src') %}
      {% else %}
        {% set background_url = background | render %}
      {% endif %}
    {% endif %}
  {% endif %}
{% endif %}

{% if not featured_title | render and background_url %}
  {% set attributes = attributes.addClass(classes).setAttribute('style', "background:url('" ~ background_url ~ "') no-repeat center center / cover") %}
  {% set attributes = attributes.setAttribute('data-background', background_url) %}
{% else %}
  {% set attributes = attributes.addClass(classes) %}
{% endif %}

{% if link | render %}
    {% set box_link = link %}
{% elseif title | render %}
    {% set box_link = title %}
{% endif %}

<div {{ attributes }} {{ attributes_bgcolor }}>
  <a class="box-link" target="{{ box_link | render | get_tag_attribute('a', 'target') }}"  href="{{ box_link | render | get_tag_attribute('a', 'href') }}"></a>

  {# Veil if there´s background image  #}
  {% if background_url %}
    <div class="component-preview-cards__veil"></div>
  {% endif %}

  <div class="component-preview-cards__box_wrapper">
    <div class="component-preview-cards__box">
      {% if category | render %}
        {% if category | render == "360 image" %}
          {% set categoryIcon = "t" %}
        {% endif %}
        {% if category | render == "360 video" %}
          {% set categoryIcon = "t" %}
        {% endif %}
        {% if category | render == "Annual report" %}
          {% set categoryIcon = "^" %}
        {% endif %}
        {% if category | render == "Brochure" %}
          {% set categoryIcon = "^" %}
        {% endif %}
        {% if category | render == "Bulletin" %}
          {% set categoryIcon = "~" %}
        {% endif %}
        {% if category | render == "Courier" %}
          {% set categoryIcon = "^" %}
        {% endif %}
        {% if category | render == "Document" %}
          {% set categoryIcon = "~" %}
        {% endif %}
        {% if category | render == "Image" %}
          {% set categoryIcon = "z" %}
        {% endif %}
        {% if category | render == "Presentation" %}
          {% set categoryIcon = "_" %}
        {% endif %}
        {% if category | render == "Publication" %}
          {% set categoryIcon = "^" %}
        {% endif %}
        {% if category | render == "Video" %}
          {% set categoryIcon = "Z" %}
        {% endif %}

        {% if categoryIcon %}
          <div class="component-preview-cards__category-icon-vocabulary" data-icon="{{categoryIcon}}"></div>
        {% endif %}
      {% endif %}

      {# Title field #}
      <div class="preview-card__title">
        {# Title field for featured news #}
        {% if featured_title | render %}
          <h3 class="featured-title">{{ featured_title }}</h3>
        {% endif %}
        {# Title field for view news #}
        {% if title | render %}
          <h3 class="standard-title">
            {# {% title|render|get_tag_attribute("a", "href") %} #}

            {% if title | render | get_tag_attribute("a", "href") %}

              {{ title|openlink }}
              <span>
                {{ title|render|striptags|length > 45 ?
                   title|render|striptags|htmlspecialchars|slice(0,45) ~ '...' :
                   title|render|striptags|htmlspecialchars }}
              </span>
              {{ title|closelink }}

            {% else %}

              {{ title|length > 45 ?
                title|htmlspecialchars|slice(0,45) ~ '...' :
                title }}

            {% endif %}

          </h3>
        {% endif %}
        {# Link field for component  #}
        {% if link | render %}
          <h3>{{ link|openlink }}
            <span style="color:{{variants.textcolor.color}}">
              {{ link|render|striptags|length > 45 ?
               link|render|striptags|htmlspecialchars|slice(0,45) ~ '...' :
               link|render|striptags|htmlspecialchars }}
            </span>
            {{ link|closelink }}</h3>
        {% endif %}
      </div>
      <div class="preview-card__body"></div>
      <div class="preview-cards__subtext">
        {# Categories field. Category for the pattern / News Format for News Content Type #}
        {% if category | render %}
          <div class="preview-card__category" style="color:{{variants.textcolor.color}}">
            {{category|render}}
          </div>
        {% endif %}
        {% if news_format | render %}
          <div class="preview-card__category" style="color:{{variants.textcolor.color}}">
            {{news_format}}
          </div>
        {% endif %}
        {# Author field. Only for News Content Type #}
        {% if news_format | render == "Opinion" %}
          {% if author_name | render %}
            <div class="preview-card__author">{{author_name}}</div>
          {% endif %}
        {% endif %}
        {# Date field  #}
        {% if date | render %}
          <div class="preview-card__date" style="color:{{variants.textcolor.color}}">
            {{ date }}
          </div>
        {% endif %}
      </div>
    </div>
  </div>
</div>